> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Share a style with your workspace

> Share a style you own with your API workspace. All members of the workspace will be able to use the style.



## OpenAPI

````yaml https://api.krea.ai/openapi.json post /styles/{id}/share/workspace
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /styles/{id}/share/workspace:
    post:
      tags:
        - Styles
      summary: Share a style with your workspace
      description: >-
        Share a style you own with your API workspace. All members of the
        workspace will be able to use the style.
      parameters:
        - in: path
          name: id
          description: A unique identifier for a style
          schema:
            type: string
            description: A unique identifier for a style
            example: 044988d1-570c-402b-9504-46a3bc3900a7
          required: true
      responses:
        '200':
          description: Style shared with workspace successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the operation succeeded
                  style_id:
                    type: string
                    description: The ID of the shared style
                  workspace:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Workspace ID
                      name:
                        type:
                          - string
                          - 'null'
                        description: Workspace name
                      is_default:
                        type: boolean
                        description: Whether this is the default workspace
                    required:
                      - id
                      - name
                      - is_default
                    description: The workspace the style was shared with
                required:
                  - success
                  - style_id
                  - workspace
                description: Response after sharing a style within a workspace
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: You do not own this style or are not a member of the workspace
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Style not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````